Prompt tuning
Dismiss label issues
Dismiss a succeeded job’s label issues, so its dataset no longer lists them as labels to check, or show them again. Its result stays as it is.
PATCH
/
v1
/
prompt-tuning
/
jobs
/
{job_id}
Dismiss label issues
curl --request PATCH \
--url https://console.sqwish.ai/v1/prompt-tuning/jobs/{job_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label_issues_dismissed": true
}
'import requests
url = "https://console.sqwish.ai/v1/prompt-tuning/jobs/{job_id}"
payload = { "label_issues_dismissed": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label_issues_dismissed: true})
};
fetch('https://console.sqwish.ai/v1/prompt-tuning/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"object": "prompt_tuning.job",
"status": "queued",
"dataset_id": "<string>",
"model": "<string>",
"decision": "<string>",
"effort": "standard",
"price_usd": "<string>",
"charge": "free",
"test_looks": 123,
"progress": {
"phase": "<string>",
"round": 123,
"rounds": 123,
"original_loss": 123,
"best_loss": 123
},
"result": {
"verdict": "improved",
"tuned": {
"id": "<string>",
"question": "<string>",
"kind": "single",
"outcomes": "<unknown>",
"rubric": [
"<unknown>"
],
"policy": {
"action_costs": {},
"abstain_below": 0.5
}
},
"candidate": {
"id": "<string>",
"question": "<string>",
"kind": "single",
"outcomes": "<unknown>",
"rubric": [
"<unknown>"
],
"policy": {
"action_costs": {},
"abstain_below": 0.5
}
},
"changes": [
{
"part": "<string>",
"before": "<string>",
"after": "<string>"
}
],
"label_issues": [
{
"row": "<string>",
"reason": "<string>"
}
],
"original": {
"id": "<string>",
"question": "<string>",
"kind": "single",
"outcomes": "<unknown>",
"rubric": [
"<unknown>"
],
"policy": {
"action_costs": {},
"abstain_below": 0.5
}
},
"decision": "<string>",
"rows": 123,
"rows_left_out": 123,
"noise_band": 123,
"rounds": [
{
"round": 123,
"best_loss": 123
}
],
"reasons": [
"<string>"
],
"test": {}
},
"created_at": 123,
"updated_at": 123,
"error": "<string>",
"label_issues_dismissed_at": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}Authorizations
Create an API key in the console. Required when accounts are enabled.
Path Parameters
Body
application/json
Response
Successful Response
Allowed value:
"prompt_tuning.job"Available options:
queued, running, cancelling, succeeded, failed, cancelled Available options:
standard, thorough The job's fee, as exact USD.
What the fee is doing: held while the job runs, charged for a proven improvement or a rerun, released otherwise.
Available options:
free, reserved, charged, released Show child attributes
Show child attributes
Show child attributes
Show child attributes
When you dismissed its label issues, so its dataset no longer lists them.
Dismiss label issues
curl --request PATCH \
--url https://console.sqwish.ai/v1/prompt-tuning/jobs/{job_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label_issues_dismissed": true
}
'import requests
url = "https://console.sqwish.ai/v1/prompt-tuning/jobs/{job_id}"
payload = { "label_issues_dismissed": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label_issues_dismissed: true})
};
fetch('https://console.sqwish.ai/v1/prompt-tuning/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"object": "prompt_tuning.job",
"status": "queued",
"dataset_id": "<string>",
"model": "<string>",
"decision": "<string>",
"effort": "standard",
"price_usd": "<string>",
"charge": "free",
"test_looks": 123,
"progress": {
"phase": "<string>",
"round": 123,
"rounds": 123,
"original_loss": 123,
"best_loss": 123
},
"result": {
"verdict": "improved",
"tuned": {
"id": "<string>",
"question": "<string>",
"kind": "single",
"outcomes": "<unknown>",
"rubric": [
"<unknown>"
],
"policy": {
"action_costs": {},
"abstain_below": 0.5
}
},
"candidate": {
"id": "<string>",
"question": "<string>",
"kind": "single",
"outcomes": "<unknown>",
"rubric": [
"<unknown>"
],
"policy": {
"action_costs": {},
"abstain_below": 0.5
}
},
"changes": [
{
"part": "<string>",
"before": "<string>",
"after": "<string>"
}
],
"label_issues": [
{
"row": "<string>",
"reason": "<string>"
}
],
"original": {
"id": "<string>",
"question": "<string>",
"kind": "single",
"outcomes": "<unknown>",
"rubric": [
"<unknown>"
],
"policy": {
"action_costs": {},
"abstain_below": 0.5
}
},
"decision": "<string>",
"rows": 123,
"rows_left_out": 123,
"noise_band": 123,
"rounds": [
{
"round": 123,
"best_loss": 123
}
],
"reasons": [
"<string>"
],
"test": {}
},
"created_at": 123,
"updated_at": 123,
"error": "<string>",
"label_issues_dismissed_at": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}